Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class UnbackedOperationImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.UnbackedOperationImpl

All Implemented Interfaces:
  Localizable, Operation, Serializable

    public class UnbackedOperationImpl

extends Object
implements Operation, Localizable, Serializable

See Also:
  Serialized Form

Constructor Summary
`UnbackedOperationImpl(Operation operation)`
`UnbackedOperationImpl(String name, String description)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getDescription()`
`String` | `getName()`
`int` | `hashCode()`
`void` | `localize(KnowledgeBase kb)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnbackedOperationImpl

    public UnbackedOperationImpl(String name,
                                 String description)

### UnbackedOperationImpl

    public UnbackedOperationImpl(Operation operation)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Operation`
  Returns:
    the name

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Operation`
  Parameters:
    `name` - the name to set

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Operation`
  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `Operation`
  Parameters:
    `description` - the description to set

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.